<?php
 /**
  * Sistema Integral de Planificación y Presupuesto (SIPP)
  * @file proyectos-operativos-ficha-proyecto.tpl.php
  * Drupal part Module to Sistema Integral de Planificación y Presupuesto (SIPP)
  * Copyright 2011 Sistema Automatizado para la Planificación Estratégico-Situacional en la Administración Pública Venezolana (CENDITEL)
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  * 
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  * 
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  *
  * @author Cenditel Merida - Msc. Juan Vizcarrondo
  * @date 2013-08-02 // (a&#241;o-mes-dia)
  * @version 0.1 // (0.1)
  */

  $node_type = content_types('proyectos_operativos');
  $campos_proyectos = $node_type['fields'];
  $content = node_build_content($proyecto);
  $format_number = array(
    'decimals' => variable_get('proyectos_operativos_number_decimals', 0),
    'dec_point' => variable_get('proyectos_operativos_number_dec_point', ','),
    'thousands_sep' => variable_get('proyectos_operativos_number_thousands_sep', '.'),
  );
?>

<h2><?php print t('Datos Básicos');?></h2>
<h3><?php print t('Datos Básicos de Identificación del Proyecto');?></h3>
<div class="field field-type-text field-field-proyecto-titulo">
  <div class="field-label"><?php print t('Nombre del Proyecto');?>:&nbsp;</div>
  <div class="field-items">
    <div class="field-item odd"> <?php print check_plain($proyecto->titulo_asignado); ?> </div>
  </div>
</div>
<?php
  $arreglo = array(
    'field_proyecto_codigo' => 'field_proyecto_codigo',
    'field_descripcin_proyect' => 'field_descripcin_proyect',
    'field_proyecto_fecha_i' => 'field_proyecto_fecha_i',
    'field_proyecto_fecha_f' => 'field_proyecto_fecha_f',
    'field_proyecto_status' => 'field_proyecto_status',
    'field_proyecto_situacion_p' => 'field_proyecto_situacion_p',
    'field_proyecto_plurianual' => 'field_proyecto_plurianual',
    'field_proyecto_monto_anual' => 'field_proyecto_monto_anual',
    'field_proyecto_total' => 'field_proyecto_total',
    'field_proyecto_poan' => 'field_proyecto_poan',
  );
  if (module_exists('proyectos_reformulacion')) {
    $arreglo['field_proyecto_monto_anual'] = 'proyectos_operativos_monto_anual_reformulado';
    $arreglo['field_proyecto_total'] = 'proyectos_operativos_monto_total_reformulado';
  }
?>
<?php foreach($arreglo as $campo): ?>
<?php print drupal_render($content->content[$campo]); ?>
<?php endforeach ?>  
<fieldset><legend><h3><?php print t('Responsables del proyecto');?></h3></legend>
<?php print drupal_render($content->content['field_proyecto_ente']); ?>
<?php
  $arreglo = array(
    'field_proyecto_autoridad' => 'field_proyecto_autoridad',
    'field_proyecto_lider' => 'field_proyecto_lider',
    'field_proyecto_unidad_a' => 'field_proyecto_unidad_a',
    'field_proyecto_cargo' => 'field_proyecto_cargo',
    'field_proyecto_telefono' => 'field_proyecto_telefono',
    'field_proyecto_correo' => 'field_proyecto_correo',
  );
?>
<?php foreach($arreglo as $campo): ?>
  <?php print drupal_render($content->content[$campo]); ?>
<?php endforeach ?>
<?php
  $arreglo['gerente'] = array(
    'field_proyecto_nombre_gere' => 'field_proyecto_nombre_gere',
    'field_proyecto_cedul_gere' => 'field_proyecto_cedul_gere',
    'field_proyecto_corre_gere' => 'field_proyecto_corre_gere',
    'field_proyecto_telef_gere' => 'field_proyecto_telef_gere',
  );
  $arreglo['tecnico'] = array(
    'field_proyecto_nom_r_tec' => 'field_proyecto_nom_r_tec',
    'field_proyecto_ced_r_tec' => 'field_proyecto_ced_r_tec',
    'field_proyecto_cor_r_tec' => 'field_proyecto_cor_r_tec',
    'field_proyecto_tel_r_tec' => 'field_proyecto_tel_r_tec',
    'field_proyecto_und_r_tec' => 'field_proyecto_und_r_tec',
  );
  $arreglo['registrador'] = array(
    'field_proyecto_nom_r_reg' => 'field_proyecto_nom_r_reg',
    'field_proyecto_ced_r_reg' => 'field_proyecto_ced_r_reg',
    'field_proyecto_cor_r_reg' => 'field_proyecto_cor_r_reg',
    'field_proyecto_tel_r_reg' => 'field_proyecto_tel_r_reg',
  );
  $arreglo['administrativo'] = array(
    'field_proyecto_nom_r_adm' => 'field_proyecto_nom_r_adm',
    'field_proyecto_ced_r_adm' => 'field_proyecto_ced_r_adm',
    'field_proyecto_cor_r_adm' => 'field_proyecto_cor_r_adm',
    'field_proyecto_tel_r_adm' => 'field_proyecto_tel_r_adm',
    'field_proyecto_und_r_adm' => 'field_proyecto_und_r_adm',
  );
?>
<!-- Responsable Gerente -->
<?php print ("<th><h3>Datos del Gerente</h3></th>"); ?>
<?php print("<table>"); ?>
   <?php foreach($arreglo['gerente'] as $campo): ?>
     <?php print("<th>"); ?>
     <?php print $content->content[$campo]['field']['#title']; ?>
     <?php print("</th>"); ?>
   <?php endforeach ?>
   <?php print("<tr>"); ?>
     <?php foreach($arreglo['gerente'] as $campo): ?>
      <?php print("<td>"); ?>
        <?php foreach($content->content[$campo]['field']['#node']->$campo as $id => $value): ?>
          <?php if (isset($value['email'])): ?>
            <?php $values = $value['email']; ?>
          <?php else: ?>
            <?php $values = $value['value']; ?>
          <?php endif; ?>
        <?php endforeach ?>
        <?php implode(',', $values); ?>
        <?php print($values); ?>
      <?php print("</td>"); ?>
    <?php endforeach ?>
  <?php print("<tr>"); ?>
<?php print("</table>"); ?>
<!-- end Responsable Gerente -->

<!-- Responsable tecnico -->
<?php print ("<th><h3>Datos del Responsable tecnico</h3></th>"); ?>
  <?php print("<table>"); ?>
    <?php foreach($arreglo['tecnico'] as $campo): ?>
      <?php print("<th>"); ?>
        <?php print $content->content[$campo]['field']['#title']; ?>
      <?php print("</th>"); ?>
    <?php endforeach ?>
    <?php print("<tr>"); ?>
      <?php foreach($arreglo['tecnico'] as $campo): ?>
        <?php print("<td>"); ?>
	  <?php foreach($content->content[$campo]['field']['#node']->$campo as $id => $value): ?>
          <?php if (isset($value['email'])): ?>
            <?php $values = $value['email']; ?>
          <?php else: ?>
            <?php $values = $value['value']; ?>
          <?php endif; ?>
        <?php endforeach ?>
        <?php implode(',', $values); ?>
        <?php print($values); ?>
      <?php print("</td>"); ?>
    <?php endforeach ?>
  <?php print("<tr>"); ?>
<?php print("</table>"); ?>
<!-- end Responsable tecnico -->

<!-- Responsable registrador -->
<?php print ("<th><h3>Datos del Responsable Registrador</h3></th>"); ?>
  <?php print("<table>"); ?>
    <?php foreach($arreglo['registrador'] as $campo): ?>
      <?php print("<th>"); ?>
        <?php print $content->content[$campo]['field']['#title']; ?>
      <?php print("</th>"); ?>
    <?php endforeach ?>
    <?php print("<tr>"); ?>
      <?php foreach($arreglo['registrador'] as $campo): ?>
       <?php print("<td>"); ?>
         <?php foreach($content->content[$campo]['field']['#node']->$campo as $id => $value): ?>
           <?php if (isset($value['email'])): ?>
             <?php $values = $value['email']; ?>
           <?php else: ?>
             <?php $values = $value['value']; ?>
           <?php endif; ?>
         <?php endforeach ?>
         <?php implode(',', $values); ?>
         <?php print($values); ?>
       <?php print("</td>"); ?>
    <?php endforeach ?>
  <?php print("<tr>"); ?>
<?php print("</table>"); ?>
<!-- end Responsable registrador -->

<!-- Responsable administrador -->
<?php print ("<th><h3>Datos del Responsable Administrativo</h3></th>"); ?>
  <?php print("<table>"); ?>
    <?php foreach($arreglo['administrativo'] as $campo): ?>
     <?php print("<th>"); ?>
     <?php print $content->content[$campo]['field']['#title']; ?>
     <?php print("</th>"); ?>
   <?php endforeach ?>
   <?php print("<tr>"); ?>
     <?php foreach($arreglo['administrativo'] as $campo): ?>
    <?php print("<td>"); ?>
      <?php foreach($content->content[$campo]['field']['#node']->$campo as $id => $value): ?>
        <?php if (isset($value['email'])): ?>
          <?php $values = $value['email']; ?>
        <?php else: ?>
          <?php $values = $value['value']; ?>
        <?php endif; ?>
      <?php endforeach ?>
      <?php implode(',', $values); ?>
      <?php print($values); ?>
      <?php print("</td>"); ?>
    <?php endforeach ?>
  <?php print("<tr>"); ?>
<?php print("</table>"); ?>
<!-- end Responsable administrador -->
</fieldset>
<?php
  $pndes = variable_get('proyectos_operativos_muestra_pndes', TRUE);
  $mcti = variable_get('proyectos_operativos_muestra_mcti', TRUE);
  if ($pndes || $mcti) {
    print '<h3>' . t('Área Estrategica') . '</h3>';
    if ($pndes) {
      print drupal_render($content->content['field_proyecto_pndes']);
    }
    if ($mcti) {
      print drupal_render($content->content['field_proyecto_mcti']);
    }
  }
?>
<h2><?php print t('Datos Generales');?></h2>
<h3><?php print t('Clasificación Sectorial');?></h3>
<?php print drupal_render($content->content['field_proyecto_sector']); ?>
<?php if(variable_get('proyectos_operativos_muestra_talento', TRUE)) : ?>
  <h2><?php print t('Talento Humano');?></h2>
  <?php
    $arreglo = array(
      'field_proyecto_institucionth' => 'field_proyecto_institucionth',
      'field_proyecto_nombres_a' => 'field_proyecto_nombres_a',
      'field_proyecto_cargo_th' => 'field_proyecto_cargo_th',
      'field_proyecto_rol_th' => 'field_proyecto_rol_th',
      'field_proyecto_esfuerzo' => 'field_proyecto_esfuerzo',
      'field_proyecto_formacion' => 'field_proyecto_formacion',
    );
    $header = array();
    foreach($arreglo as $campo) {
      $header[] = array('data' => check_plain($campos_proyectos[$campo]['widget']['label']), 'align' => 'center'); 
    }
    $tamano_array = array();
    foreach($arreglo as $field_id => $field) {
      $tamano_array[] = count($proyecto->{$field_id});
    }
    $cantidad_talento = max($tamano_array);
    $rows = array();
    for ($i = 0; $i < $cantidad_talento; $i++) {
      $row = array();
      foreach($arreglo as $campo) {
        $valor_d = ($campo == 'field_proyecto_esfuerzo') ? 0 : '';
        $valor = isset($proyecto->{$campo}[$i]) ? $proyecto->{$field_id}[$i]['value'] : $valor_d;
        $row[] = array('data' => check_plain($valor), 'align' => 'center',);
      }
      $rows[] = $row;
    }
    if (!count($rows)) {
      $row[] = array('data' => t('No se ha ingresado la sección de Talento Humano'), 'colspan' => count($header), 'align' => 'center');
      $rows[] = $row;
    }
    print theme('table', $header, $rows, array('border' => '1'));
  ?>
<?php endif; ?>
<?php if (variable_get('proyectos_operativos_muestra_capacidades', TRUE)): ?>
  <h3><?php print t('Capacidades');?></h3>
  <?php
    $arreglo = array(
      'field_proyecto_institucion_alc' => 'field_proyecto_institucion_alc',
      'field_proyecto_infraestructura' => 'field_proyecto_infraestructura',
      'field_proyecto_equipos' => 'field_proyecto_equipos',
      'field_proyecto_insumos' => 'field_proyecto_insumos',
      'field_proyectos_servicios' => 'field_proyectos_servicios',
    );
    $header = array();
    foreach($arreglo as $campo) {
      $header[] = array('data' => check_plain($campos_proyectos[$campo]['widget']['label']), 'align' => 'center'); 
    }
    $tamano_array = array();
    foreach($arreglo as $field_id => $field) {
      $tamano_array[] = count($proyecto->{$field_id});
    }
    $cantidad_talento = max($tamano_array);
    $rows = array();
    for ($i = 0; $i < $cantidad_talento; $i++) {
      $row = array();
      foreach($arreglo as $campo) {
        $valor_d = ($campo == 'field_proyecto_esfuerzo') ? 0 : '';
        $valor = isset($proyecto->{$campo}[$i]) ? $proyecto->{$campo}[$i]['value'] : $valor_d;
        $row[] = array('data' => check_plain($valor), 'align' => 'center',);
      }
      $rows[] = $row;
    }
    if (!count($rows)) {
      $row[] = array('data' => t('No se ha ingresado la sección de Capacidades'), 'colspan' => count($header), 'align' => 'center');
      $rows[] = $row;
    }
    print theme('table', $header, $rows, array('border' => '1'));
  ?>
<?php endif ?>
<h3><?php print t('Instituciones');?></h3>
<?php print drupal_render($content->content['field_proyecto_relacion']); ?>
<h3><?php print t('Empleos Generados');?></h3>
<?php
  $labels = array(
    'field_proyectos_femenino_i' => t('Empleos Femeninos'),
    'field_proyectos_femenino_d'=> t('Empleos Masculinos'),
    'field_proyectos_masculino_d' => t('Total'),
  );
  $arreglo1 = array(
    'field_proyecto_efdirecto' => 'field_proyecto_efdirecto',
    'field_proyecto_emdirecto' => 'field_proyecto_emdirecto',
  );
  $arreglo2 = array(
    'field_proyecto_emindirecto' => 'field_proyecto_emindirecto',
    'field_proyecto_efindirecto' => 'field_proyecto_efindirecto',
  );
  $header = array();
  $rows = array();
  $row = array();
  $sum_fila = 0;
  foreach ($labels as $label) {
    $header[] = array('data' => $label, 'align' => 'center'); 
  }
  foreach($arreglo1 as $campo) {
    $valor_d = 0;
    $valor = isset($proyecto->{$campo}[0]['value']) ? $proyecto->{$campo}[0]['value'] : $valor_d;
    $valor_m = $valor ? number_format($valor, 0, $format_number['dec_point'], $format_number['thousands_sep']) : 0;
    $row[] = array('data' => t('Nuevos: ') . check_plain($valor_m), 'align' => 'left',);
    $sum_fila += $valor;
  }
  $valor_m = $sum_fila ? number_format($sum_fila, 0, $format_number['dec_point'], $format_number['thousands_sep']) : 0;
  $row[] = array('data' => t('Empleos Nuevos: ') . $valor_m, 'align' => 'left',);
  $rows[] = $row;
  $row = array();
  $sum_fila = 0;
  foreach($arreglo2 as $campo) {
    $valor_d = 0;
    $valor = isset($proyecto->{$campo}[0]['value']) ? $proyecto->{$campo}[0]['value'] : $valor_d;
    $valor_m = $valor ? number_format($valor, 0, $format_number['dec_point'], $format_number['thousands_sep']) : 0;
    $row[] = array('data' => t('Sostenidos: ') . check_plain($valor_m), 'align' => 'left',);
    $sum_fila += $valor;
  }
  $valor_m = $sum_fila ? number_format($sum_fila, 0, $format_number['dec_point'], $format_number['thousands_sep']) : 0;
  $row[] = array('data' => t('Empleos Sostenidos: ') . $valor_m, 'align' => 'left',);

  $rows[] = $row;

  $row = array();
  $valor_t1 = $proyecto->field_proyecto_efdirecto[0]['value'] + $proyecto->field_proyecto_emindirecto[0]['value'];
  $row[] = array('data' => t('Total de Empleos Directos: ') . number_format($valor_t1, 0, $format_number['dec_point'], $format_number['thousands_sep']), 'align' => 'left',);

  $valor_t2 = $proyecto->field_proyecto_emdirecto[0]['value'] + $proyecto->field_proyecto_efindirecto[0]['value'];
  $row[] = array('data' => t('Total de Empleos Directos: ') . number_format($valor_t2, 0, $format_number['dec_point'], $format_number['thousands_sep']), 'align' => 'left',);

  $valor_t = $valor_t1 + $valor_t2;
  $row[]= array('data' =>  t('Empleos Directos: ') . number_format($valor_t, 0, $format_number['dec_point'], $format_number['thousands_sep']), 'align' => 'left',);

  $rows[] = $row;
  print '<fieldset><legend>Nro Estimados de Empleos</legend>' . theme('table', $header, $rows, array('border' => '1')) . '</fieldset>';
?>
<?php if (variable_get('proyectos_operativos_muestra_beneficiario', TRUE)): ?>
  <h3><?php print t('Beneficiarios');?></h3>
  <?php
    $labes = array(
      'field_proyecto_beneficiario' => t('Beneficiario'),
      'field_proyectos_masculino_d' => t('Número estimado de beneficiarios masculinos'),
      'field_proyectos_femenino_i' => t('Número estimado de beneficiarios femeninos'),
    );
    $arreglo = array(
      'field_proyecto_beneficiario' => 'field_proyecto_beneficiario',
      'field_proyectos_masculino_d' => 'field_proyectos_masculino_d',
      //'field_proyectos_femenino_d' => 'field_proyectos_femenino_d',
    );
    if (variable_get('proyectos_operativos_muestra_beneficiarios_indirectos', TRUE)) {
     // $arreglo['field_proyectos_masculino_i'] = 'field_proyectos_masculino_i';
      $arreglo['field_proyectos_femenino_i'] = 'field_proyectos_femenino_i';
    }
    $header = array();
    foreach($labes as $label) {
      $header[] = array('data' => $label, 'align' => 'center'); 
    }
    $header[] = array('data' => t('TOTAL'), 'align' => 'center'); 
    $tamano_array = array();
    foreach($arreglo as $field_id => $field) {
      $tamano_array[] = count($proyecto->{$field_id});
    }
    $cantidad_talento = max($tamano_array);
    $rows = array();
    $suma_arreglo = array();
    foreach($arreglo as $campo) {
      $suma_arreglo[$campo] = 0;
    }
    for ($i = 0; $i < $cantidad_talento; $i++) {
      $row = array();
      $sum_fila = 0;
      foreach($arreglo as $campo) {
        if ($campo != 'field_proyecto_beneficiario') {
        $valor_d = ($field_id == 'field_proyecto_esfuerzo') ? 0 : '';
        $valor = isset($proyecto->{$campo}[$i]['value']) ? $proyecto->{$campo}[$i]['value'] : $valor_d;
        $valor_m = $valor ? number_format($valor, 0, $format_number['dec_point'], $format_number['thousands_sep']) : 0;
        $row[] = array('data' => check_plain($valor_m), 'align' => 'center',);
          $sum_fila += $valor;
          $suma_arreglo[$campo] += $valor;
        }
        else {
            $row[] = array('data' => check_plain($proyecto->{$campo}[$i]['value']), 'align' => 'left',);
        }
      }
      $valor_m = $sum_fila ? number_format($sum_fila, 0, $format_number['dec_point'], $format_number['thousands_sep']) : 0;
      $row[] = array('data' => $valor_m, 'align' => 'center',);
      $rows[] = $row;
    }
    $sum_fila = 0;
    $row = array();
    foreach($arreglo as $campo) {
      if ($campo == 'field_proyecto_beneficiario') {
        $row[] = array('data' => t('TOTAL DE BENEFICIARIOS'), 'align' => 'right',);
      }
      else {
        $valor_m = $suma_arreglo[$campo] ? number_format($suma_arreglo[$campo], 0, '', ',') : 0;
        $row[] = array('data' => check_plain($valor_m), 'align' => 'center',);
        $sum_fila += $suma_arreglo[$campo];
      }
    }
    $valor_m = $sum_fila ? number_format($sum_fila, 0, '', ',') : 0;
    $row[] = array('data' => $valor_m, 'align' => 'center',);
    $rows[] = $row;
    print theme('table', $header, $rows, array('border' => '1'));
  ?>
<?php endif ?>
<h3><?php print t('Objetivos del Proyecto');?></h3>
<?php print drupal_render($content->content['field_proyecto_og']); ?>
<?php print drupal_render($content->content['field_proyecto_oe']); ?>


<h2><?php print t('Indicadores del Proyecto');?></h2>
<?php print drupal_render($content->content[$campo]); ?>

<?php if (variable_get('proyectos_operativos_muestra_enunciado_problema', TRUE)): ?>
  <h3><?php print t('Enunciado del Problema');?></h3>
  <?php
    $arreglo = array(
      'field_proyecto_causas' => 'field_proyecto_causas',
      'field_proyecto_problemas' => 'field_proyecto_problemas',
      'field_proyecto_consecuencias' => 'field_proyecto_consecuencias',
    );
  ?>
  <?php foreach($arreglo as $campo): ?>
    <?php print drupal_render($content->content[$campo]); ?>
  <?php endforeach ?>
<?php endif ?>
<?php if (variable_get('proyectos_operativos_muestra_justicacion', TRUE)): ?>
  <h3><?php print t('Justificación');?></h3>
<?php print drupal_render($content->content['field_proyecto_justificacion']); ?>
<?php endif ?>
<?php if (variable_get('proyectos_operativos_muestra_alcance', TRUE)): ?>
  <h3><?php print t('Alcance del Proyecto');?></h3>
  <?php print drupal_render($content->content['field_proyecto_alcance']); ?>
<?php endif ?>
<?php
$sa = variable_get('proyectos_operativos_muestra_sa', TRUE);
$so = variable_get('proyectos_operativos_muestra_so', TRUE);
?>
<?php if ($sa || $so): ?>
  <h3><?php print t('Indicador de la Situación');?></h3>
  <?php if ($sa): ?>
    <h4><?php print t('Situación Actual');?></h4>
    <?php
      $arreglo = array(
        'field_proyecto_sa_descripcion' => 'field_proyecto_sa_descripcion',
      );
      if (variable_get('proyectos_operativos_muestra_sa_cuantificacion', TRUE)) {
        $arreglo['field_proyecto_sa_cuantificacion'] = 'field_proyecto_sa_cuantificacion';
      }
      $arreglo['field_proyecto_sa_formulai'] = 'field_proyecto_sa_formulai';
      $arreglo['field_proyecto_sa_fuentei'] = 'field_proyecto_sa_fuentei';
      $arreglo['field_proyecto_sa_fecha'] = 'field_proyecto_sa_fecha';
    ?>
    <?php foreach($arreglo as $campo): ?>
      <?php print drupal_render($content->content[$campo]); ?>
    <?php endforeach ?>
  <?php endif ?>
  <?php if ($so): ?>
    <h4><?php print t('Situación Objetivo');?></h4>
    <?php
      $arreglo = array(
        'field_proyecto_so_descripcion' => 'field_proyecto_so_descripcion',
        'field_proyecto_tiempoi' => 'field_proyecto_tiempoi',
      );
    ?>
    <?php foreach($arreglo as $campo): ?>
      <?php print drupal_render($content->content[$campo]); ?>
    <?php endforeach ?>
  <?php endif ?>
<?php endif ?>
<h3><?php print t('Indicador del resultado del Proyecto');?></h3>
<?php
  $arreglo = array(
    'field_proyecto_descripcion_bien' => 'field_proyecto_descripcion_bien',
    'field_proyecto_so_cuantificacion' => 'field_proyecto_so_cuantificacion',
    'field_proyecto_unidadm' => 'field_proyecto_unidadm',
    'field_proyecto_meta_fisica' => 'field_proyecto_meta_fisica',
  );
  if (module_exists('proyectos_reformulacion')) {
    $arreglo['field_proyecto_unidadm'] = 'proyectos_operativos_unidad_medida_reformulado';
    $arreglo['field_proyecto_meta_fisica'] = 'proyectos_operativos_meta_fisica_reformulado';
  }
?>
<?php foreach($arreglo as $campo): ?>
  <?php print drupal_render($content->content[$campo]); ?>
<?php endforeach ?>
<h3><?php print t('Acciones Específicas');?></h3>
<?php print drupal_render($content->content['field_proyecto_accion_esp']); ?>
